## Confirm Dispute Evidence Upload

Confirms the upload of an evidence file for a dispute by providing the `upload_id`.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/confirm-dispute-evidence-upload HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  dispute_id: string,
  upload_id: string,
}
```

Returns: boolean

## Request arguments

### `dispute_id` (string)

**Required**. The unique identifier of the dispute (dsp_...)

### `upload_id` (string)

**Required**. The upload_id provided when the upload url was generated.

## Errors specific to this endpoint

### `NOT_FOUND`

The specified dispute or upload was not found.

### `not_uploadable`

The dispute is not in a state that allows evidence upload.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
